Docs
Update Event
PATCH /Events/{eventId}
PATCH
/Events/{eventId}Renames the event and saves custom attribute values in one call. Only the attributes sent are changed (others are left alone), a blank value clears that attribute, and a blank name leaves the name unchanged. To change a single attribute value use Events_SetEventAttributeValue. Needs event settings permission on the event.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| eventId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| attributes | UpdateEventRequestAttribute[] | Optional |
UpdateEventRequestAttribute
| Field | Type | Description |
|---|---|---|
| attributeId | uuid | |
| value | string| null |